# $Revision: 1.30 $, $Date: 2012/06/14 21:28:02 $
Summary:	Cross Mingw64 GNU binary utility development utilities - binutils
Summary(es.UTF-8):	Utilitarios para desarrollo de binarios de la GNU - Mingw64 binutils
Summary(fr.UTF-8):	Utilitaires de développement binaire de GNU - Mingw64 binutils
Summary(pl.UTF-8):	Skrośne narzędzia programistyczne GNU dla Mingw64 - binutils
Summary(pt_BR.UTF-8):	Utilitários para desenvolvimento de binários da GNU - Mingw64 binutils
Summary(tr.UTF-8):	GNU geliştirme araçları - Mingw64 binutils
Name:		crossmingw64-binutils
Version:	2.22.52.0.4
Release:	1
License:	GPL v3+
Group:		Development/Tools
Source0:	http://www.kernel.org/pub/linux/devel/binutils/binutils-%{version}.tar.bz2
# Source0-md5:	2a5beea06d6f3e21107365b91184e11c
URL:		http://sources.redhat.com/binutils/
BuildRequires:	automake
BuildRequires:	bash
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	zlib-devel
# not necessary unless we patch .texi docs; but they are not packaged here anyway
#BuildRequires:	texinfo >= 4.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target		x86_64-w64-mingw32
%define		arch		%{_prefix}/%{target}

%description
crossmingw64 is a complete cross-compiling development system for
building stand-alone Microsoft Windows applications under Linux using
the Mingw64 build libraries. This includes a binutils, gcc with g++
and objc, and libstdc++, all cross targeted to x86_64-mingw32, along
with supporting Win64 libraries in 'coff' format from free sources.

This package contains cross targeted binutils.

%description -l pl.UTF-8
crossmingw64 jest kompletnym systemem do kroskompilacji, pozwalającym
budować aplikacje MS Windows pod Linuksem używając bibliotek mingw64.
System składa się z binutils, gcc z g++ i objc, libstdc++ - wszystkie
generujące kod dla platformy x86_64-mingw32, oraz z bibliotek w formacie
COFF.

Ten pakiet zawiera binutils generujące skrośnie binaria dla Win64.

%prep
%setup -q -n binutils-%{version}

%build
# ldscripts won't be generated properly if SHELL is not bash...
CFLAGS="%{rpmcflags}" \
LDFLAGS="%{rpmldflags}" \
CONFIG_SHELL="/bin/bash" \
./configure \
	--disable-shared \
	--disable-nls \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libdir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--with-sysroot=%{arch} \
	--host=%{_target_platform} \
	--build=%{_target_platform} \
	--target=%{target}

%{__make} all

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# remove this man page unless we cross-build for netware platform.
# however, this should be done in Makefiles.
rm $RPM_BUILD_ROOT%{_mandir}/man1/*nlmconv.1

# libiberty.a is ELF not PE
rm $RPM_BUILD_ROOT%{_libdir}/libiberty.a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{arch}
%dir %{arch}/lib
%dir %{arch}/bin
%attr(755,root,root) %{arch}/bin/*
%{arch}/lib/ldscripts
%attr(755,root,root) %{_bindir}/%{target}-*
%{_mandir}/man1/%{target}-*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw64-binutils.spec,v $
Revision 1.30  2012/06/14 21:28:02  pluto
updated to 2.22.52.0.4.

Revision 1.29  2012/05/08 20:02:21  pluto
- updated to 2.22.52.0.3.

Revision 1.28  2012/02/01 17:10:55  pluto
- updated to 2.22.52.0.1.

Revision 1.27  2012/01/18 19:33:38  pluto
- update to 2.22.51.0.1, switch target triplet to *-w64-*, release 1.

Revision 1.26  2011/05/31 18:33:20  pluto
- updated to 2.21.51.0.9.

Revision 1.25  2011/04/10 07:21:38  pluto
- updated to 2.21.51.0.8.

Revision 1.24  2010/11/20 08:15:21  pluto
- updated to 2.21.51.0.1 (dwarf4/PE+ linker fixes).

Revision 1.23  2010/09/26 10:43:46  pluto
- expand canonical target name, cleanup build, release 3.

Revision 1.22  2010/09/26 09:17:25  pluto
- fix 32-bit build, release 2.

Revision 1.21  2010/09/26 08:42:56  pluto
- updated to 2.20.51.0.11.

Revision 1.20  2009/09/04 05:58:04  pluto
- updated to 2.19.51.0.14.

Revision 1.19  2009/02/13 20:39:28  pluto
- update license, cleanup old comments.

Revision 1.18  2009/02/09 20:36:27  pluto
- updated to 2.19.51.0.2.

Revision 1.17  2009/01/06 20:04:07  pluto
- fix desc.

Revision 1.16  2009/01/06 19:58:15  pluto
- updated to 2.19.51.0.1 (fix COFF related bug).

Revision 1.15  2008/11/19 01:31:25  pluto
- updated to 2.19.50.0.1.

Revision 1.14  2008/09/22 12:59:17  pluto
- updated to 2.18.50.0.9.

Revision 1.13  2008/06/20 14:42:34  pluto
- updated to 2.18.50.0.7.

Revision 1.12  2008-04-04 06:37:04  pluto
- updated to 2.18.50.0.6.

Revision 1.11  2008-03-14 21:14:21  pluto
- updated to 2.18.50.0.5.

Revision 1.10  2008-02-08 19:03:51  pluto
- updated to 2.18.50.0.4.

Revision 1.9  2008-01-17 17:55:57  pluto
- updated to 2.18.50.0.3.
- target renamed to x86_64-pc-mingw32
  http://sources.redhat.com/ml/binutils/2006-12/msg00235.html

Revision 1.8  2007-03-23 18:41:11  pluto
- updated to 2.17.50.0.14.

Revision 1.7  2007/03/14 22:40:32  pluto
- updated to 2.17.50.0.12.

Revision 1.6  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.4  2007/01/07 11:59:46  pluto
- updated to 2.17.50.0.9.

Revision 1.3  2006/10/02 09:55:01  pluto
- updated to 2.17.50.0.5.

Revision 1.2  2006/09/26 12:01:30  pluto
- s/Win32/Win64/, typo.

Revision 1.1  2006/09/26 11:55:55  pluto
- binutils for x86_64-pecoff target.
